%define name openbabel
%define version	1.100.0
%define release 2mdk
%define libname lib%name

Summary: Chemistry software file format converter
Name: %name
Version: %version
Release: %release
License: GPL
Group: Sciences/Chemistry
Source: %name-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://openbabel.sourceforge.net

%description
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

%package -n %{libname}-devel
Summary:        Development tools for programs which will use the %libname library.
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
The %{libname}-devel package includes the header files and static libraries
necessary for developing programs using the %{libname} library.

If you are going to develop programs which will use this library
you should install %{libname}-devel.  You'll also need to have the 
%libname package installed.

%prep

%setup -q

%configure --enable-shared=yes

%build

%make all

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

#install library
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
cp src/libopenbabel.a $RPM_BUILD_ROOT/%{_libdir}

#install includes, remove "math" subdirectory
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/%name
perl -p -i -e 's/math\/vector3.h/vector3.h/g' src/*.h
perl -p -i -e 's/math\/matrix3x3.h/matrix3x3.h/g' src/*.h
perl -p -i -e 's/math\/vector3.h/vector3.h/g' src/math/*.h
perl -p -i -e 's/math\/matrix3x3.h/matrix3x3.h/g' src/math/*.h
cp src/*.h $RPM_BUILD_ROOT/%{_includedir}/%name
cp src/math/*.h $RPM_BUILD_ROOT/%{_includedir}/%name

# cleanup
find . -type d -name CVS | xargs rm -rf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README THANKS
%doc doc/FAQ doc/Migration doc/Primer.html
%_bindir/*
%_mandir/man1/*
%_datadir/%name

#%files -n %libname
#%defattr(-, root, root)
#%_libdir/libopenbabel.a

%files -n %libname-devel
%defattr(-, root, root)
%_includedir/%name/*.h
%_libdir/*.a

%ChangeLog
* Mon Dec 16 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.100.0-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- bump version

* Thu Nov 07 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.99.1-0.20021008.3mdk
- fix requires

* Thu Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.99.1-0.20021008.2mdk
- remove libopenbabel package (.a in libopenbabel-devel)

* Tue Oct 8 2002 Austin Acton <aacton@yorku.ca> 1.99.1-0.20021008.1mdk
- add library and header files
- update from CVS

* Wed Sep 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.99-0.20020922.1mdk
- fix files section
- remove CVS files
- from Austin Acton <aacton@yorku.ca> :
	- initial package creation for Mandrake 9.0
